#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "ShowRoomApp.h"
#include "ShowRoomWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(ShowRoomApp, RMApp)
	//{{AFX_MSG_MAP(ShowRoomApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

ShowRoomApp theapp;

BOOL ShowRoomApp::InitInstance()
{
#ifdef _DEBUG
	//afxTraceEnabled=FALSE;
#endif
	ShowRoomWin* win=new ShowRoomWin;
	if (!win->Create( "Cutting-Edge ShowRoom Demo", IDI_ICON, IDR_MAINMENU ))
		return FALSE;
	win->SetColorModel( D3DCOLOR_MONO );
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
